// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
	"strconv"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
	"github.com/go-openapi/validate"
)

// DataPost data post
//
// swagger:model data-post
type DataPost struct {

	// cocsn arp table
	CocsnArpTable *DataPostCocsnArpTable `json:"cocsn:arp-table,omitempty"`

	// cocsn interfaces
	CocsnInterfaces *DataPostCocsnInterfaces `json:"cocsn:interfaces,omitempty"`

	// cocsn routes
	CocsnRoutes *DataPostCocsnRoutes `json:"cocsn:routes,omitempty"`
}

// Validate validates this data post
func (m *DataPost) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateCocsnArpTable(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateCocsnInterfaces(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateCocsnRoutes(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPost) validateCocsnArpTable(formats strfmt.Registry) error {

	if swag.IsZero(m.CocsnArpTable) { // not required
		return nil
	}

	if m.CocsnArpTable != nil {
		if err := m.CocsnArpTable.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("cocsn:arp-table")
			}
			return err
		}
	}

	return nil
}

func (m *DataPost) validateCocsnInterfaces(formats strfmt.Registry) error {

	if swag.IsZero(m.CocsnInterfaces) { // not required
		return nil
	}

	if m.CocsnInterfaces != nil {
		if err := m.CocsnInterfaces.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("cocsn:interfaces")
			}
			return err
		}
	}

	return nil
}

func (m *DataPost) validateCocsnRoutes(formats strfmt.Registry) error {

	if swag.IsZero(m.CocsnRoutes) { // not required
		return nil
	}

	if m.CocsnRoutes != nil {
		if err := m.CocsnRoutes.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("cocsn:routes")
			}
			return err
		}
	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPost) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPost) UnmarshalBinary(b []byte) error {
	var res DataPost
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPostCocsnArpTable (non-presence)
//
// swagger:model DataPostCocsnArpTable
type DataPostCocsnArpTable struct {

	// (list)
	ArpEntry []*DataPostCocsnArpTableArpEntryItems0 `json:"arp-entry"`
}

// Validate validates this data post cocsn arp table
func (m *DataPostCocsnArpTable) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateArpEntry(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPostCocsnArpTable) validateArpEntry(formats strfmt.Registry) error {

	if swag.IsZero(m.ArpEntry) { // not required
		return nil
	}

	for i := 0; i < len(m.ArpEntry); i++ {
		if swag.IsZero(m.ArpEntry[i]) { // not required
			continue
		}

		if m.ArpEntry[i] != nil {
			if err := m.ArpEntry[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("cocsn:arp-table" + "." + "arp-entry" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPostCocsnArpTable) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPostCocsnArpTable) UnmarshalBinary(b []byte) error {
	var res DataPostCocsnArpTable
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPostCocsnArpTableArpEntryItems0 data post cocsn arp table arp entry items0
//
// swagger:model DataPostCocsnArpTableArpEntryItems0
type DataPostCocsnArpTableArpEntryItems0 struct {

	// IP address of the arp entry (leaf)
	Address string `json:"address,omitempty"`

	// Interface of the arp entry (leaf)
	Interface string `json:"interface,omitempty"`

	// MAC address of the arp entry (leaf)
	PhsAddress string `json:"phs-address,omitempty"`
}

// Validate validates this data post cocsn arp table arp entry items0
func (m *DataPostCocsnArpTableArpEntryItems0) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *DataPostCocsnArpTableArpEntryItems0) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPostCocsnArpTableArpEntryItems0) UnmarshalBinary(b []byte) error {
	var res DataPostCocsnArpTableArpEntryItems0
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPostCocsnInterfaces (non-presence)
//
// swagger:model DataPostCocsnInterfaces
type DataPostCocsnInterfaces struct {

	// (list)
	Interface []*DataPostCocsnInterfacesInterfaceItems0 `json:"interface"`
}

// Validate validates this data post cocsn interfaces
func (m *DataPostCocsnInterfaces) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateInterface(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPostCocsnInterfaces) validateInterface(formats strfmt.Registry) error {

	if swag.IsZero(m.Interface) { // not required
		return nil
	}

	for i := 0; i < len(m.Interface); i++ {
		if swag.IsZero(m.Interface[i]) { // not required
			continue
		}

		if m.Interface[i] != nil {
			if err := m.Interface[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("cocsn:interfaces" + "." + "interface" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPostCocsnInterfaces) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPostCocsnInterfaces) UnmarshalBinary(b []byte) error {
	var res DataPostCocsnInterfaces
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPostCocsnInterfacesInterfaceItems0 data post cocsn interfaces interface items0
//
// swagger:model DataPostCocsnInterfacesInterfaceItems0
type DataPostCocsnInterfacesInterfaceItems0 struct {

	// addresses
	Addresses []string `json:"addresses"`

	// Enable or disable the interface. Example value: true (leaf)
	Enabled bool `json:"enabled,omitempty"`

	// Interface name. Example value: en0 (leaf)
	Name string `json:"name,omitempty"`

	// Describes whether the interface is physically up or down (leaf)
	// Enum: [up down]
	OperStatus *string `json:"oper-status,omitempty"`

	// The interface's address at its protocol sub-layer.  For
	// example, for an 802.x interface, this object normally
	// contains a Media Access Control (MAC) address.  The
	// interface's media-specific modules must define the bit
	// and byte ordering and the format of the value of this
	// object.  For interfaces that do not have such an address
	// (e.g., a serial line), this node is not present. (leaf)
	PhysAddress string `json:"phys-address,omitempty"`
}

// Validate validates this data post cocsn interfaces interface items0
func (m *DataPostCocsnInterfacesInterfaceItems0) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateOperStatus(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

var dataPostCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum []interface{}

func init() {
	var res []string
	if err := json.Unmarshal([]byte(`["up","down"]`), &res); err != nil {
		panic(err)
	}
	for _, v := range res {
		dataPostCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum = append(dataPostCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum, v)
	}
}

const (

	// DataPostCocsnInterfacesInterfaceItems0OperStatusUp captures enum value "up"
	DataPostCocsnInterfacesInterfaceItems0OperStatusUp string = "up"

	// DataPostCocsnInterfacesInterfaceItems0OperStatusDown captures enum value "down"
	DataPostCocsnInterfacesInterfaceItems0OperStatusDown string = "down"
)

// prop value enum
func (m *DataPostCocsnInterfacesInterfaceItems0) validateOperStatusEnum(path, location string, value string) error {
	if err := validate.EnumCase(path, location, value, dataPostCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum, true); err != nil {
		return err
	}
	return nil
}

func (m *DataPostCocsnInterfacesInterfaceItems0) validateOperStatus(formats strfmt.Registry) error {

	if swag.IsZero(m.OperStatus) { // not required
		return nil
	}

	// value enum
	if err := m.validateOperStatusEnum("oper-status", "body", *m.OperStatus); err != nil {
		return err
	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPostCocsnInterfacesInterfaceItems0) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPostCocsnInterfacesInterfaceItems0) UnmarshalBinary(b []byte) error {
	var res DataPostCocsnInterfacesInterfaceItems0
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPostCocsnRoutes (non-presence)
//
// swagger:model DataPostCocsnRoutes
type DataPostCocsnRoutes struct {

	// (list)
	Route []*DataPostCocsnRoutesRouteItems0 `json:"route"`
}

// Validate validates this data post cocsn routes
func (m *DataPostCocsnRoutes) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateRoute(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPostCocsnRoutes) validateRoute(formats strfmt.Registry) error {

	if swag.IsZero(m.Route) { // not required
		return nil
	}

	for i := 0; i < len(m.Route); i++ {
		if swag.IsZero(m.Route[i]) { // not required
			continue
		}

		if m.Route[i] != nil {
			if err := m.Route[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("cocsn:routes" + "." + "route" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPostCocsnRoutes) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPostCocsnRoutes) UnmarshalBinary(b []byte) error {
	var res DataPostCocsnRoutes
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPostCocsnRoutesRouteItems0 data post cocsn routes route items0
//
// swagger:model DataPostCocsnRoutesRouteItems0
type DataPostCocsnRoutesRouteItems0 struct {

	// Route destination. IP network (leaf)
	Destination string `json:"destination,omitempty"`

	// Expiration timer of the route (leaf)
	Expire string `json:"expire,omitempty"`

	// Flags of the route (leaf)
	Flags string `json:"flags,omitempty"`

	// Route gateway. IP address or host name (leaf)
	Gateway string `json:"gateway,omitempty"`

	// Interface used for the route (leaf)
	Interface string `json:"interface,omitempty"`
}

// Validate validates this data post cocsn routes route items0
func (m *DataPostCocsnRoutesRouteItems0) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *DataPostCocsnRoutesRouteItems0) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPostCocsnRoutesRouteItems0) UnmarshalBinary(b []byte) error {
	var res DataPostCocsnRoutesRouteItems0
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
