// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
	"strconv"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
	"github.com/go-openapi/validate"
)

// DataPutPatch data put patch
//
// swagger:model data-put-patch
type DataPutPatch struct {

	// ietf restconf data
	IetfRestconfData *DataPutPatchIetfRestconfData `json:"ietf-restconf:data,omitempty"`
}

// Validate validates this data put patch
func (m *DataPutPatch) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateIetfRestconfData(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPutPatch) validateIetfRestconfData(formats strfmt.Registry) error {

	if swag.IsZero(m.IetfRestconfData) { // not required
		return nil
	}

	if m.IetfRestconfData != nil {
		if err := m.IetfRestconfData.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("ietf-restconf:data")
			}
			return err
		}
	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatch) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatch) UnmarshalBinary(b []byte) error {
	var res DataPutPatch
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfData This YANG module represents the CoCSN API
//
// swagger:model DataPutPatchIetfRestconfData
type DataPutPatchIetfRestconfData struct {

	// cocsn arp table
	CocsnArpTable *DataPutPatchIetfRestconfDataCocsnArpTable `json:"cocsn:arp-table,omitempty"`

	// cocsn interfaces
	CocsnInterfaces *DataPutPatchIetfRestconfDataCocsnInterfaces `json:"cocsn:interfaces,omitempty"`

	// cocsn routes
	CocsnRoutes *DataPutPatchIetfRestconfDataCocsnRoutes `json:"cocsn:routes,omitempty"`
}

// Validate validates this data put patch ietf restconf data
func (m *DataPutPatchIetfRestconfData) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateCocsnArpTable(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateCocsnInterfaces(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateCocsnRoutes(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPutPatchIetfRestconfData) validateCocsnArpTable(formats strfmt.Registry) error {

	if swag.IsZero(m.CocsnArpTable) { // not required
		return nil
	}

	if m.CocsnArpTable != nil {
		if err := m.CocsnArpTable.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("ietf-restconf:data" + "." + "cocsn:arp-table")
			}
			return err
		}
	}

	return nil
}

func (m *DataPutPatchIetfRestconfData) validateCocsnInterfaces(formats strfmt.Registry) error {

	if swag.IsZero(m.CocsnInterfaces) { // not required
		return nil
	}

	if m.CocsnInterfaces != nil {
		if err := m.CocsnInterfaces.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("ietf-restconf:data" + "." + "cocsn:interfaces")
			}
			return err
		}
	}

	return nil
}

func (m *DataPutPatchIetfRestconfData) validateCocsnRoutes(formats strfmt.Registry) error {

	if swag.IsZero(m.CocsnRoutes) { // not required
		return nil
	}

	if m.CocsnRoutes != nil {
		if err := m.CocsnRoutes.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("ietf-restconf:data" + "." + "cocsn:routes")
			}
			return err
		}
	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfData) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfData) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfData
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfDataCocsnArpTable (non-presence)
//
// swagger:model DataPutPatchIetfRestconfDataCocsnArpTable
type DataPutPatchIetfRestconfDataCocsnArpTable struct {

	// (list)
	ArpEntry []*DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0 `json:"arp-entry"`
}

// Validate validates this data put patch ietf restconf data cocsn arp table
func (m *DataPutPatchIetfRestconfDataCocsnArpTable) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateArpEntry(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPutPatchIetfRestconfDataCocsnArpTable) validateArpEntry(formats strfmt.Registry) error {

	if swag.IsZero(m.ArpEntry) { // not required
		return nil
	}

	for i := 0; i < len(m.ArpEntry); i++ {
		if swag.IsZero(m.ArpEntry[i]) { // not required
			continue
		}

		if m.ArpEntry[i] != nil {
			if err := m.ArpEntry[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("ietf-restconf:data" + "." + "cocsn:arp-table" + "." + "arp-entry" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnArpTable) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnArpTable) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfDataCocsnArpTable
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0 data put patch ietf restconf data cocsn arp table arp entry items0
//
// swagger:model DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0
type DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0 struct {

	// IP address of the arp entry (leaf)
	Address string `json:"address,omitempty"`

	// Interface of the arp entry (leaf)
	Interface string `json:"interface,omitempty"`

	// MAC address of the arp entry (leaf)
	PhsAddress string `json:"phs-address,omitempty"`
}

// Validate validates this data put patch ietf restconf data cocsn arp table arp entry items0
func (m *DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfDataCocsnArpTableArpEntryItems0
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfDataCocsnInterfaces (non-presence)
//
// swagger:model DataPutPatchIetfRestconfDataCocsnInterfaces
type DataPutPatchIetfRestconfDataCocsnInterfaces struct {

	// (list)
	Interface []*DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0 `json:"interface"`
}

// Validate validates this data put patch ietf restconf data cocsn interfaces
func (m *DataPutPatchIetfRestconfDataCocsnInterfaces) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateInterface(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPutPatchIetfRestconfDataCocsnInterfaces) validateInterface(formats strfmt.Registry) error {

	if swag.IsZero(m.Interface) { // not required
		return nil
	}

	for i := 0; i < len(m.Interface); i++ {
		if swag.IsZero(m.Interface[i]) { // not required
			continue
		}

		if m.Interface[i] != nil {
			if err := m.Interface[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("ietf-restconf:data" + "." + "cocsn:interfaces" + "." + "interface" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnInterfaces) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnInterfaces) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfDataCocsnInterfaces
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0 data put patch ietf restconf data cocsn interfaces interface items0
//
// swagger:model DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0
type DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0 struct {

	// addresses
	Addresses []string `json:"addresses"`

	// Enable or disable the interface. Example value: true (leaf)
	Enabled bool `json:"enabled,omitempty"`

	// Interface name. Example value: en0 (leaf)
	Name string `json:"name,omitempty"`

	// Describes whether the interface is physically up or down (leaf)
	// Enum: [up down]
	OperStatus *string `json:"oper-status,omitempty"`

	// The interface's address at its protocol sub-layer.  For
	// example, for an 802.x interface, this object normally
	// contains a Media Access Control (MAC) address.  The
	// interface's media-specific modules must define the bit
	// and byte ordering and the format of the value of this
	// object.  For interfaces that do not have such an address
	// (e.g., a serial line), this node is not present. (leaf)
	PhysAddress string `json:"phys-address,omitempty"`
}

// Validate validates this data put patch ietf restconf data cocsn interfaces interface items0
func (m *DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateOperStatus(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

var dataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum []interface{}

func init() {
	var res []string
	if err := json.Unmarshal([]byte(`["up","down"]`), &res); err != nil {
		panic(err)
	}
	for _, v := range res {
		dataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum = append(dataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum, v)
	}
}

const (

	// DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0OperStatusUp captures enum value "up"
	DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0OperStatusUp string = "up"

	// DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0OperStatusDown captures enum value "down"
	DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0OperStatusDown string = "down"
)

// prop value enum
func (m *DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0) validateOperStatusEnum(path, location string, value string) error {
	if err := validate.EnumCase(path, location, value, dataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0TypeOperStatusPropEnum, true); err != nil {
		return err
	}
	return nil
}

func (m *DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0) validateOperStatus(formats strfmt.Registry) error {

	if swag.IsZero(m.OperStatus) { // not required
		return nil
	}

	// value enum
	if err := m.validateOperStatusEnum("oper-status", "body", *m.OperStatus); err != nil {
		return err
	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfDataCocsnInterfacesInterfaceItems0
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfDataCocsnRoutes (non-presence)
//
// swagger:model DataPutPatchIetfRestconfDataCocsnRoutes
type DataPutPatchIetfRestconfDataCocsnRoutes struct {

	// (list)
	Route []*DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0 `json:"route"`
}

// Validate validates this data put patch ietf restconf data cocsn routes
func (m *DataPutPatchIetfRestconfDataCocsnRoutes) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateRoute(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *DataPutPatchIetfRestconfDataCocsnRoutes) validateRoute(formats strfmt.Registry) error {

	if swag.IsZero(m.Route) { // not required
		return nil
	}

	for i := 0; i < len(m.Route); i++ {
		if swag.IsZero(m.Route[i]) { // not required
			continue
		}

		if m.Route[i] != nil {
			if err := m.Route[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("ietf-restconf:data" + "." + "cocsn:routes" + "." + "route" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnRoutes) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnRoutes) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfDataCocsnRoutes
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}

// DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0 data put patch ietf restconf data cocsn routes route items0
//
// swagger:model DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0
type DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0 struct {

	// Route destination. IP network (leaf)
	Destination string `json:"destination,omitempty"`

	// Expiration timer of the route (leaf)
	Expire string `json:"expire,omitempty"`

	// Flags of the route (leaf)
	Flags string `json:"flags,omitempty"`

	// Route gateway. IP address or host name (leaf)
	Gateway string `json:"gateway,omitempty"`

	// Interface used for the route (leaf)
	Interface string `json:"interface,omitempty"`
}

// Validate validates this data put patch ietf restconf data cocsn routes route items0
func (m *DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0) UnmarshalBinary(b []byte) error {
	var res DataPutPatchIetfRestconfDataCocsnRoutesRouteItems0
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
