// Code generated by go-swagger; DO NOT EDIT.

package data

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	"github.com/go-openapi/runtime/middleware"
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
	"github.com/go-openapi/validate"
)

// NewDataCocsnInterfacesInterfaceGetParams creates a new DataCocsnInterfacesInterfaceGetParams object
// with the default values initialized.
func NewDataCocsnInterfacesInterfaceGetParams() DataCocsnInterfacesInterfaceGetParams {

	var (
		// initialize parameters with default values

		contentDefault = string("config")

		withDefaultsDefault = string("report-all")
	)

	return DataCocsnInterfacesInterfaceGetParams{
		Content: &contentDefault,

		WithDefaults: &withDefaultsDefault,
	}
}

// DataCocsnInterfacesInterfaceGetParams contains all the bound params for the data cocsn interfaces interface get operation
// typically these are obtained from a http.Request
//
// swagger:parameters data_cocsn_interfaces_interface_get
type DataCocsnInterfacesInterfaceGetParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*controlling descendant nodes in response
	  In: query
	  Default: "config"
	*/
	Content *string
	/*limit the depth of nodes in response
	  In: query
	*/
	Depth *uint16
	/*optionally identify specific data nodes in response
	  In: query
	*/
	Fields *string
	/*xpath expression to filter data nodes in response
	  In: query
	*/
	Filter *string
	/*controlling default values in response
	  In: query
	  Default: "report-all"
	*/
	WithDefaults *string
}

// BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface
// for simple values it will use straight method calls.
//
// To ensure default values, the struct must have been initialized with NewDataCocsnInterfacesInterfaceGetParams() beforehand.
func (o *DataCocsnInterfacesInterfaceGetParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error {
	var res []error

	o.HTTPRequest = r

	qs := runtime.Values(r.URL.Query())

	qContent, qhkContent, _ := qs.GetOK("content")
	if err := o.bindContent(qContent, qhkContent, route.Formats); err != nil {
		res = append(res, err)
	}

	qDepth, qhkDepth, _ := qs.GetOK("depth")
	if err := o.bindDepth(qDepth, qhkDepth, route.Formats); err != nil {
		res = append(res, err)
	}

	qFields, qhkFields, _ := qs.GetOK("fields")
	if err := o.bindFields(qFields, qhkFields, route.Formats); err != nil {
		res = append(res, err)
	}

	qFilter, qhkFilter, _ := qs.GetOK("filter")
	if err := o.bindFilter(qFilter, qhkFilter, route.Formats); err != nil {
		res = append(res, err)
	}

	qWithDefaults, qhkWithDefaults, _ := qs.GetOK("with-defaults")
	if err := o.bindWithDefaults(qWithDefaults, qhkWithDefaults, route.Formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

// bindContent binds and validates parameter Content from query.
func (o *DataCocsnInterfacesInterfaceGetParams) bindContent(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		// Default values have been previously initialized by NewDataCocsnInterfacesInterfaceGetParams()
		return nil
	}

	o.Content = &raw

	if err := o.validateContent(formats); err != nil {
		return err
	}

	return nil
}

// validateContent carries on validations for parameter Content
func (o *DataCocsnInterfacesInterfaceGetParams) validateContent(formats strfmt.Registry) error {

	if err := validate.EnumCase("content", "query", *o.Content, []interface{}{"config", "nonconfig", "all"}, true); err != nil {
		return err
	}

	return nil
}

// bindDepth binds and validates parameter Depth from query.
func (o *DataCocsnInterfacesInterfaceGetParams) bindDepth(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		return nil
	}

	value, err := swag.ConvertUint16(raw)
	if err != nil {
		return errors.InvalidType("depth", "query", "uint16", raw)
	}
	o.Depth = &value

	return nil
}

// bindFields binds and validates parameter Fields from query.
func (o *DataCocsnInterfacesInterfaceGetParams) bindFields(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		return nil
	}

	o.Fields = &raw

	return nil
}

// bindFilter binds and validates parameter Filter from query.
func (o *DataCocsnInterfacesInterfaceGetParams) bindFilter(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		return nil
	}

	o.Filter = &raw

	return nil
}

// bindWithDefaults binds and validates parameter WithDefaults from query.
func (o *DataCocsnInterfacesInterfaceGetParams) bindWithDefaults(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		// Default values have been previously initialized by NewDataCocsnInterfacesInterfaceGetParams()
		return nil
	}

	o.WithDefaults = &raw

	if err := o.validateWithDefaults(formats); err != nil {
		return err
	}

	return nil
}

// validateWithDefaults carries on validations for parameter WithDefaults
func (o *DataCocsnInterfacesInterfaceGetParams) validateWithDefaults(formats strfmt.Registry) error {

	if err := validate.EnumCase("with-defaults", "query", *o.WithDefaults, []interface{}{"report-all", "trim", "explicit", "report-all-tagged"}, true); err != nil {
		return err
	}

	return nil
}
