// Code generated by go-swagger; DO NOT EDIT.

package restapi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "http"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Simple RESTCONF API",
    "title": "CoCSN",
    "contact": {
      "name": "Your name"
    },
    "version": "0.0.1"
  },
  "basePath": "/restconf",
  "paths": {
    "/data/cocsn-interface/{interface}/ip-addresses": {
      "get": {
        "produces": [
          "application/json"
        ],
        "tags": [
          "interface"
        ],
        "summary": "Returns IP addresses of an interface",
        "operationId": "getIPAddresses",
        "parameters": [
          {
            "type": "string",
            "description": "interface to fetch",
            "name": "interface",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/LogicalAddresses"
            }
          },
          "404": {
            "description": "An error occurred."
          },
          "default": {
            "description": "Unexpected error"
          }
        }
      }
    },
    "/data/cocsn-interface/{interface}/mac-address": {
      "get": {
        "produces": [
          "application/json"
        ],
        "tags": [
          "interface"
        ],
        "summary": "Returns MAC address of an interface",
        "operationId": "getMACAddress",
        "parameters": [
          {
            "type": "string",
            "description": "interface to fetch",
            "name": "interface",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/PhysicalAddress"
            }
          },
          "404": {
            "description": "An error occurred."
          },
          "default": {
            "description": "Unexpected error"
          }
        }
      }
    },
    "/data/cocsn-interfaces": {
      "get": {
        "produces": [
          "application/json"
        ],
        "tags": [
          "interface"
        ],
        "summary": "Returns a list of interfaces",
        "operationId": "getInterfaces",
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/Interfaces"
            }
          },
          "404": {
            "description": "An error occurred."
          },
          "default": {
            "description": "Unexpected error"
          }
        }
      }
    }
  },
  "definitions": {
    "Interfaces": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "LogicalAddresses": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "PhysicalAddress": {
      "type": "string",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    }
  }
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "http"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Simple RESTCONF API",
    "title": "CoCSN",
    "contact": {
      "name": "Your name"
    },
    "version": "0.0.1"
  },
  "basePath": "/restconf",
  "paths": {
    "/data/cocsn-interface/{interface}/ip-addresses": {
      "get": {
        "produces": [
          "application/json"
        ],
        "tags": [
          "interface"
        ],
        "summary": "Returns IP addresses of an interface",
        "operationId": "getIPAddresses",
        "parameters": [
          {
            "type": "string",
            "description": "interface to fetch",
            "name": "interface",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/LogicalAddresses"
            }
          },
          "404": {
            "description": "An error occurred."
          },
          "default": {
            "description": "Unexpected error"
          }
        }
      }
    },
    "/data/cocsn-interface/{interface}/mac-address": {
      "get": {
        "produces": [
          "application/json"
        ],
        "tags": [
          "interface"
        ],
        "summary": "Returns MAC address of an interface",
        "operationId": "getMACAddress",
        "parameters": [
          {
            "type": "string",
            "description": "interface to fetch",
            "name": "interface",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/PhysicalAddress"
            }
          },
          "404": {
            "description": "An error occurred."
          },
          "default": {
            "description": "Unexpected error"
          }
        }
      }
    },
    "/data/cocsn-interfaces": {
      "get": {
        "produces": [
          "application/json"
        ],
        "tags": [
          "interface"
        ],
        "summary": "Returns a list of interfaces",
        "operationId": "getInterfaces",
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/Interfaces"
            }
          },
          "404": {
            "description": "An error occurred."
          },
          "default": {
            "description": "Unexpected error"
          }
        }
      }
    }
  },
  "definitions": {
    "Interfaces": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "LogicalAddresses": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "PhysicalAddress": {
      "type": "string",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    }
  }
}`))
}
