// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/errors"
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// CienaWaveserverInterfacesEthernetIfPropertiesGroup ciena waveserver interfaces ethernet if properties group
//
// swagger:model ciena.waveserver.interfaces.EthernetIfPropertiesGroup
type CienaWaveserverInterfacesEthernetIfPropertiesGroup struct {

	// Specifies whether the interface should negotiate common transmission
	//          parameters, such as speed, duplex, and flow control with its peer. REF:IEEE 802.3-2012 auto-negotiation transmission parameters
	AutoNegotiation *bool `json:"auto-negotiation,omitempty"`

	// Ethernet interface duplex mode. For ports with auto-negotiation enabled,
	//          this represents the negotiated duplex mode.
	Duplex CienaWaveserverInterfacesDuplexEnumeration `json:"duplex,omitempty"`

	// Specifies whether this interface will participate in Ethernet flow
	//          control, via pause frames.
	FlowControl *bool `json:"flow-control,omitempty"`

	// The system-assigned MAC address of the Ethernet interface.
	MacAddress string `json:"mac-address,omitempty"`

	// Ethernet port speed. For ports with auto-negotiation enabled, this
	//          represents the negotiated port speed.
	Speed CienaWaveserverInterfacesSpeedEnumeration `json:"speed,omitempty"`
}

// Validate validates this ciena waveserver interfaces ethernet if properties group
func (m *CienaWaveserverInterfacesEthernetIfPropertiesGroup) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateDuplex(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateSpeed(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *CienaWaveserverInterfacesEthernetIfPropertiesGroup) validateDuplex(formats strfmt.Registry) error {

	if swag.IsZero(m.Duplex) { // not required
		return nil
	}

	if err := m.Duplex.Validate(formats); err != nil {
		if ve, ok := err.(*errors.Validation); ok {
			return ve.ValidateName("duplex")
		}
		return err
	}

	return nil
}

func (m *CienaWaveserverInterfacesEthernetIfPropertiesGroup) validateSpeed(formats strfmt.Registry) error {

	if swag.IsZero(m.Speed) { // not required
		return nil
	}

	if err := m.Speed.Validate(formats); err != nil {
		if ve, ok := err.(*errors.Validation); ok {
			return ve.ValidateName("speed")
		}
		return err
	}

	return nil
}

// MarshalBinary interface implementation
func (m *CienaWaveserverInterfacesEthernetIfPropertiesGroup) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *CienaWaveserverInterfacesEthernetIfPropertiesGroup) UnmarshalBinary(b []byte) error {
	var res CienaWaveserverInterfacesEthernetIfPropertiesGroup
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
