// Code generated by go-swagger; DO NOT EDIT.

package restapi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/yang-data+json"
  ],
  "produces": [
    "application/yang-data+json"
  ],
  "swagger": "2.0",
  "info": {
    "description": "This module defines Ethernet and IP management interfaces support for\n     Ciena's Waveserver Platform.",
    "title": "ciena-waveserver-interfaces API",
    "version": "1.0"
  },
  "host": "localhost:1234",
  "paths": {
    "/data/waveserver-interfaces/": {
      "get": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.WaveserverInterfaces",
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.WaveserverInterfaces",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfacesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.WaveserverInterfaces",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.WaveserverInterfaces to be added or updated",
            "name": "ciena.waveserver.interfaces.WaveserverInterfaces.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfacesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.WaveserverInterfaces",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.WaveserverInterfaces to be added to list",
            "name": "ciena.waveserver.interfaces.WaveserverInterfaces.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfacesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.WaveserverInterfaces",
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface/": {
      "post": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/": {
      "get": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/id/": {
      "get": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/properties/": {
      "get": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/properties/ipv4/": {
      "get": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4 to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4 to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/state/": {
      "get": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface/": {
      "post": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/": {
      "get": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/id/": {
      "get": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/properties/": {
      "get": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/properties/ethernet/": {
      "get": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup to be added or updated",
            "name": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup to be added to list",
            "name": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/properties/management/": {
      "get": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup to be added or updated",
            "name": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup to be added to list",
            "name": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/state/": {
      "get": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/": {
      "get": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.Routes",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.Routes to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.Routes.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.Routes to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.Routes.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route/": {
      "post": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route={destination}/": {
      "get": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route={destination}/next-hop/": {
      "post": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route={destination}/next-hop={index}/": {
      "get": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of next-hop",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of next-hop",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of next-hop",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    }
  },
  "definitions": {
    "ciena.waveserver.interfaces.DuplexEnumeration": {
      "type": "string",
      "enum": [
        "Unknown",
        "full",
        "half"
      ]
    },
    "ciena.waveserver.interfaces.EthernetIfPropertiesGroup": {
      "type": "object",
      "properties": {
        "auto-negotiation": {
          "description": "Specifies whether the interface should negotiate common transmission\n         parameters, such as speed, duplex, and flow control with its peer. REF:IEEE 802.3-2012 auto-negotiation transmission parameters",
          "type": "boolean",
          "default": false
        },
        "duplex": {
          "description": "Ethernet interface duplex mode. For ports with auto-negotiation enabled,\n         this represents the negotiated duplex mode.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.DuplexEnumeration"
        },
        "flow-control": {
          "description": "Specifies whether this interface will participate in Ethernet flow\n         control, via pause frames.",
          "type": "boolean",
          "default": false
        },
        "mac-address": {
          "description": "The system-assigned MAC address of the Ethernet interface.",
          "type": "string"
        },
        "speed": {
          "description": "Ethernet port speed. For ports with auto-negotiation enabled, this\n         represents the negotiated port speed.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.SpeedEnumeration"
        }
      }
    },
    "ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper": {
      "properties": {
        "ethernet": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroup"
        }
      }
    },
    "ciena.waveserver.interfaces.ManagementIfPropertiesGroup": {
      "type": "object",
      "properties": {
        "mode": {
          "description": "Management port mode. Specifies whether the port is configured as a\n         local management interface or wayside communications channel (carry\n         through).",
          "$ref": "#/definitions/ciena.waveserver.interfaces.ModeEnumeration"
        }
      }
    },
    "ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper": {
      "properties": {
        "management": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroup"
        }
      }
    },
    "ciena.waveserver.interfaces.ModeEnumeration": {
      "type": "string",
      "enum": [
        "management",
        "wayside-channel"
      ]
    },
    "ciena.waveserver.interfaces.RouteNextHopGroup": {
      "type": "object",
      "properties": {
        "active": {
          "description": "Specifies whether the route is active (present in the kernel IP\n         routing table).",
          "type": "boolean",
          "default": false
        },
        "associated-interface": {
          "description": "Reference to the associated logical-interface name of the route entry.\n         Defaults to the 'local' interface for routes within the subnet\n         associated with the active IP address configured on the local\n         management interface.",
          "type": "string"
        },
        "metric": {
          "description": "Routing metric cost.",
          "type": "integer",
          "format": "int64",
          "default": 0
        },
        "static": {
          "description": "Specifies whether the route entry is user-created (static) or\n         dynamically created by a routing protocol.",
          "type": "boolean",
          "default": false
        }
      }
    },
    "ciena.waveserver.interfaces.SpeedEnumeration": {
      "type": "string",
      "enum": [
        "Unknown",
        "10M",
        "100M",
        "1G",
        "10G"
      ]
    },
    "ciena.waveserver.interfaces.TypeEnumeration": {
      "type": "string",
      "enum": [
        "ethernet",
        "serial"
      ]
    },
    "ciena.waveserver.interfaces.WaveserverInterfaces": {
      "type": "object",
      "properties": {
        "logical-interface": {
          "description": "List of logical IP management interfaces (e.g. 'local').",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface"
          }
        },
        "physical-interface": {
          "description": "List of physical Ethernet management interfaces.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface"
          }
        },
        "routes": {
          "description": "Top-level container for IP route configuration and operational data.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.Routes"
        }
      }
    },
    "ciena.waveserver.interfaces.WaveserverInterfacesWrapper": {
      "properties": {
        "waveserver-interfaces": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfaces"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface": {
      "type": "object",
      "properties": {
        "id": {
          "description": "Identification information of this logical management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id"
        },
        "index": {
          "description": "References the system-assigned index of the logical interface.",
          "type": "integer",
          "format": "int64",
          "x-path": "../id/index"
        },
        "properties": {
          "description": "All the configuration data of the logical management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties"
        },
        "state": {
          "description": "Logical interface state information.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper": {
      "properties": {
        "logical-interface": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface": {
      "type": "object",
      "properties": {
        "id": {
          "description": "Identification information of this management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id"
        },
        "name": {
          "description": "References the system-assigned name of the interface.",
          "type": "string",
          "x-path": "../id/name"
        },
        "properties": {
          "description": "All the configuration data of the physical management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties"
        },
        "state": {
          "description": "Physical management interface state information.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper": {
      "properties": {
        "physical-interface": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.Routes": {
      "type": "object",
      "properties": {
        "ipv4-static-route": {
          "description": "List of IPv4 static routing entries.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute"
          }
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper": {
      "properties": {
        "routes": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.Routes"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id": {
      "type": "object",
      "properties": {
        "ifindex": {
          "description": "The system-assigned interface index number, corresponding to the\n             ifIndex in SNMP IF-MIB. REF:RFC 2863 - The Interfaces Group MIB",
          "type": "integer",
          "format": "int64"
        },
        "index": {
          "description": "The index of the logical management interface. Waveserver supports\n             a single logical interface 'local' that is automatically created by\n             the system. The default index is 1 for the 'local' interface.",
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "description": "The name of the logical management interface, e.g. 'local'.",
          "type": "string"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper": {
      "properties": {
        "id": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties": {
      "type": "object",
      "properties": {
        "ipv4": {
          "description": "IPv4 configuration and operational data.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper": {
      "properties": {
        "properties": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State": {
      "type": "object",
      "properties": {
        "admin-state": {
          "description": "Whether Admin State is enabled or disabled for this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.EnabledDisabledEnum"
        },
        "operational-state": {
          "description": "Operational state of this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.UpDownEnum"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper": {
      "properties": {
        "state": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4": {
      "type": "object",
      "properties": {
        "admin-state": {
          "description": "Whether IPv4 stack is enabled or disabled on this interface.\n               Always enabled for the local management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.EnabledDisabledEnum"
        },
        "apipa-ip-address": {
          "description": "The Automatic Private IP Addressing (APIPA) assigned IPv4 address\n               and prefix on the interface.",
          "type": "string"
        },
        "backup-gateway": {
          "description": "The user-configured backup IPv4 gateway on the interface.",
          "type": "string"
        },
        "dhcp-gateway": {
          "description": "The DHCP-assigned IPv4 gateway on the interface.",
          "type": "string"
        },
        "dhcp-ip-address": {
          "description": "The DHCP-assigned IPv4 address and prefix on the interface.",
          "type": "string"
        },
        "oper-gateway": {
          "description": "The operational IPv4 gateway on the interface.",
          "type": "string"
        },
        "oper-ip-address": {
          "description": "The operational IPv4 address and prefix on the interface.",
          "type": "string"
        },
        "user-gateway": {
          "description": "The user-configured primary IPv4 gateway on the interface.",
          "type": "string"
        },
        "user-ip-address": {
          "description": "The user-configured IPv4 address and prefix on the interface.",
          "type": "string"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper": {
      "properties": {
        "ipv4": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id": {
      "type": "object",
      "properties": {
        "description": {
          "description": "Physical interface description, e.g. 'Management'.",
          "type": "string"
        },
        "ifindex": {
          "description": "The system-assigned interface index number, corresponding to the\n             ifIndex in SNMP IF-MIB. REF:RFC 2863 - The Interfaces Group MIB",
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "description": "The system-assigned name of the physical interface (e.g. DCN,\n             ILAN-1, ILAN-2). The names are predefined.",
          "type": "string"
        },
        "type": {
          "description": "Management port type. If the port is DCN, ILAN-1, or ILAN-2, the\n             port type will be 'ethernet'. If the port is Console, the port\n             type will be 'serial'. REF:RFC 2863 - The Interfaces Group MIB",
          "$ref": "#/definitions/ciena.waveserver.interfaces.TypeEnumeration"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper": {
      "properties": {
        "id": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties": {
      "type": "object",
      "properties": {
        "ethernet": {
          "description": "Ethernet interface attributes.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroup"
        },
        "management": {
          "description": "Management interface attributes.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroup"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper": {
      "properties": {
        "properties": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State": {
      "type": "object",
      "properties": {
        "admin-state": {
          "description": "Whether Admin State is enabled or disabled for this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.EnabledDisabledEnum"
        },
        "operational-state": {
          "description": "Operational state of this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.UpDownEnum"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper": {
      "properties": {
        "state": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute": {
      "type": "object",
      "properties": {
        "destination": {
          "description": "IPv4 route destination prefix for the static route. Only one static\n             routing entry per unique destination ip/prefix can be configured.",
          "type": "string"
        },
        "next-hop": {
          "description": "A list of next-hop entries associated with the static route.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop"
          }
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper": {
      "properties": {
        "ipv4-static-route": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop": {
      "allOf": [
        {
          "$ref": "#/definitions/ciena.waveserver.interfaces.RouteNextHopGroup"
        },
        {
          "description": "A list of next-hop entries associated with the static route.",
          "type": "object",
          "properties": {
            "index": {
              "description": "The index key of the entry in the next-hop list. Currently only\n               one static entry is supported per destination prefix, so the\n               index should always be 1.",
              "type": "integer",
              "format": "int64"
            },
            "ip-address": {
              "description": "IPv4 route next-hop or gateway address associated with the route. If\n               not specified, the default gateway value for the local management\n               interface will be used.",
              "type": "string"
            }
          }
        }
      ]
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper": {
      "properties": {
        "next-hop": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop"
        }
      }
    },
    "ciena.waveserver.typedefs.EnabledDisabledEnum": {
      "type": "string",
      "enum": [
        "disabled",
        "enabled"
      ]
    },
    "ciena.waveserver.typedefs.UpDownEnum": {
      "type": "string",
      "enum": [
        "down",
        "up"
      ]
    }
  }
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/yang-data+json"
  ],
  "produces": [
    "application/yang-data+json"
  ],
  "swagger": "2.0",
  "info": {
    "description": "This module defines Ethernet and IP management interfaces support for\n     Ciena's Waveserver Platform.",
    "title": "ciena-waveserver-interfaces API",
    "version": "1.0"
  },
  "host": "localhost:1234",
  "paths": {
    "/data/waveserver-interfaces/": {
      "get": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.WaveserverInterfaces",
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.WaveserverInterfaces",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfacesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.WaveserverInterfaces",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.WaveserverInterfaces to be added or updated",
            "name": "ciena.waveserver.interfaces.WaveserverInterfaces.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfacesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.WaveserverInterfaces",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.WaveserverInterfaces to be added to list",
            "name": "ciena.waveserver.interfaces.WaveserverInterfaces.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfacesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Top level container for configuration and operational data for physical\n       and logical network interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.WaveserverInterfaces",
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface/": {
      "post": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/": {
      "get": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "List of logical IP management interfaces (e.g. 'local').",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/id/": {
      "get": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Identification information of this logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/properties/": {
      "get": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "All the configuration data of the logical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/properties/ipv4/": {
      "get": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4 to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4 to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "IPv4 configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/logical-interface={index}/state/": {
      "get": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Logical interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of logical-interface",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface/": {
      "post": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/": {
      "get": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "List of physical Ethernet management interfaces.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/id/": {
      "get": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Identification information of this management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/properties/": {
      "get": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "All the configuration data of the physical management interface.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/properties/ethernet/": {
      "get": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup to be added or updated",
            "name": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup to be added to list",
            "name": "ciena.waveserver.interfaces.EthernetIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Ethernet interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.EthernetIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/properties/management/": {
      "get": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup to be added or updated",
            "name": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup to be added to list",
            "name": "ciena.waveserver.interfaces.ManagementIfPropertiesGroup.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Management interface attributes.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.ManagementIfPropertiesGroup",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/physical-interface={name}/state/": {
      "get": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Physical management interface state information.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State",
        "parameters": [
          {
            "type": "string",
            "description": "Id of physical-interface",
            "name": "name",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/": {
      "get": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.Routes",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.Routes to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.Routes.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "post": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.Routes to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.Routes.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      },
      "delete": {
        "description": "Top-level container for IP route configuration and operational data.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.Routes",
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route/": {
      "post": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route={destination}/": {
      "get": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "List of IPv4 static routing entries.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route={destination}/next-hop/": {
      "post": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop to be added to list",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "400": {
            "description": "Internal error"
          },
          "409": {
            "description": "Object already exists"
          }
        }
      }
    },
    "/data/waveserver-interfaces/routes/ipv4-static-route={destination}/next-hop={index}/": {
      "get": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "returns ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of next-hop",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper"
            }
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "put": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "creates or updates ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of next-hop",
            "name": "index",
            "in": "path",
            "required": true
          },
          {
            "description": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop to be added or updated",
            "name": "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop.body-param",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Object created"
          },
          "204": {
            "description": "Object modified"
          },
          "400": {
            "description": "Internal error"
          }
        }
      },
      "delete": {
        "description": "A list of next-hop entries associated with the static route.",
        "tags": [
          "ciena-waveserver-interfaces"
        ],
        "summary": "removes ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop",
        "parameters": [
          {
            "type": "string",
            "description": "Id of ipv4-static-route",
            "name": "destination",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "Id of next-hop",
            "name": "index",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Object deleted"
          },
          "400": {
            "description": "Internal error"
          }
        }
      }
    }
  },
  "definitions": {
    "ciena.waveserver.interfaces.DuplexEnumeration": {
      "type": "string",
      "enum": [
        "Unknown",
        "full",
        "half"
      ]
    },
    "ciena.waveserver.interfaces.EthernetIfPropertiesGroup": {
      "type": "object",
      "properties": {
        "auto-negotiation": {
          "description": "Specifies whether the interface should negotiate common transmission\n         parameters, such as speed, duplex, and flow control with its peer. REF:IEEE 802.3-2012 auto-negotiation transmission parameters",
          "type": "boolean",
          "default": false
        },
        "duplex": {
          "description": "Ethernet interface duplex mode. For ports with auto-negotiation enabled,\n         this represents the negotiated duplex mode.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.DuplexEnumeration"
        },
        "flow-control": {
          "description": "Specifies whether this interface will participate in Ethernet flow\n         control, via pause frames.",
          "type": "boolean",
          "default": false
        },
        "mac-address": {
          "description": "The system-assigned MAC address of the Ethernet interface.",
          "type": "string"
        },
        "speed": {
          "description": "Ethernet port speed. For ports with auto-negotiation enabled, this\n         represents the negotiated port speed.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.SpeedEnumeration"
        }
      }
    },
    "ciena.waveserver.interfaces.EthernetIfPropertiesGroupWrapper": {
      "properties": {
        "ethernet": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroup"
        }
      }
    },
    "ciena.waveserver.interfaces.ManagementIfPropertiesGroup": {
      "type": "object",
      "properties": {
        "mode": {
          "description": "Management port mode. Specifies whether the port is configured as a\n         local management interface or wayside communications channel (carry\n         through).",
          "$ref": "#/definitions/ciena.waveserver.interfaces.ModeEnumeration"
        }
      }
    },
    "ciena.waveserver.interfaces.ManagementIfPropertiesGroupWrapper": {
      "properties": {
        "management": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroup"
        }
      }
    },
    "ciena.waveserver.interfaces.ModeEnumeration": {
      "type": "string",
      "enum": [
        "management",
        "wayside-channel"
      ]
    },
    "ciena.waveserver.interfaces.RouteNextHopGroup": {
      "type": "object",
      "properties": {
        "active": {
          "description": "Specifies whether the route is active (present in the kernel IP\n         routing table).",
          "type": "boolean",
          "default": false
        },
        "associated-interface": {
          "description": "Reference to the associated logical-interface name of the route entry.\n         Defaults to the 'local' interface for routes within the subnet\n         associated with the active IP address configured on the local\n         management interface.",
          "type": "string"
        },
        "metric": {
          "description": "Routing metric cost.",
          "type": "integer",
          "format": "int64",
          "default": 0
        },
        "static": {
          "description": "Specifies whether the route entry is user-created (static) or\n         dynamically created by a routing protocol.",
          "type": "boolean",
          "default": false
        }
      }
    },
    "ciena.waveserver.interfaces.SpeedEnumeration": {
      "type": "string",
      "enum": [
        "Unknown",
        "10M",
        "100M",
        "1G",
        "10G"
      ]
    },
    "ciena.waveserver.interfaces.TypeEnumeration": {
      "type": "string",
      "enum": [
        "ethernet",
        "serial"
      ]
    },
    "ciena.waveserver.interfaces.WaveserverInterfaces": {
      "type": "object",
      "properties": {
        "logical-interface": {
          "description": "List of logical IP management interfaces (e.g. 'local').",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface"
          }
        },
        "physical-interface": {
          "description": "List of physical Ethernet management interfaces.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface"
          }
        },
        "routes": {
          "description": "Top-level container for IP route configuration and operational data.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.Routes"
        }
      }
    },
    "ciena.waveserver.interfaces.WaveserverInterfacesWrapper": {
      "properties": {
        "waveserver-interfaces": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.WaveserverInterfaces"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface": {
      "type": "object",
      "properties": {
        "id": {
          "description": "Identification information of this logical management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id"
        },
        "index": {
          "description": "References the system-assigned index of the logical interface.",
          "type": "integer",
          "format": "int64",
          "x-path": "../id/index"
        },
        "properties": {
          "description": "All the configuration data of the logical management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties"
        },
        "state": {
          "description": "Logical interface state information.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterfaceWrapper": {
      "properties": {
        "logical-interface": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.LogicalInterface"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface": {
      "type": "object",
      "properties": {
        "id": {
          "description": "Identification information of this management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id"
        },
        "name": {
          "description": "References the system-assigned name of the interface.",
          "type": "string",
          "x-path": "../id/name"
        },
        "properties": {
          "description": "All the configuration data of the physical management interface.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties"
        },
        "state": {
          "description": "Physical management interface state information.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterfaceWrapper": {
      "properties": {
        "physical-interface": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.PhysicalInterface"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.Routes": {
      "type": "object",
      "properties": {
        "ipv4-static-route": {
          "description": "List of IPv4 static routing entries.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute"
          }
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.RoutesWrapper": {
      "properties": {
        "routes": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.Routes"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id": {
      "type": "object",
      "properties": {
        "ifindex": {
          "description": "The system-assigned interface index number, corresponding to the\n             ifIndex in SNMP IF-MIB. REF:RFC 2863 - The Interfaces Group MIB",
          "type": "integer",
          "format": "int64"
        },
        "index": {
          "description": "The index of the logical management interface. Waveserver supports\n             a single logical interface 'local' that is automatically created by\n             the system. The default index is 1 for the 'local' interface.",
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "description": "The name of the logical management interface, e.g. 'local'.",
          "type": "string"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.IdWrapper": {
      "properties": {
        "id": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Id"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties": {
      "type": "object",
      "properties": {
        "ipv4": {
          "description": "IPv4 configuration and operational data.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.PropertiesWrapper": {
      "properties": {
        "properties": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.Properties"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State": {
      "type": "object",
      "properties": {
        "admin-state": {
          "description": "Whether Admin State is enabled or disabled for this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.EnabledDisabledEnum"
        },
        "operational-state": {
          "description": "Operational state of this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.UpDownEnum"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.StateWrapper": {
      "properties": {
        "state": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4": {
      "type": "object",
      "properties": {
        "admin-state": {
          "description": "Whether IPv4 stack is enabled or disabled on this interface.\n               Always enabled for the local management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.EnabledDisabledEnum"
        },
        "apipa-ip-address": {
          "description": "The Automatic Private IP Addressing (APIPA) assigned IPv4 address\n               and prefix on the interface.",
          "type": "string"
        },
        "backup-gateway": {
          "description": "The user-configured backup IPv4 gateway on the interface.",
          "type": "string"
        },
        "dhcp-gateway": {
          "description": "The DHCP-assigned IPv4 gateway on the interface.",
          "type": "string"
        },
        "dhcp-ip-address": {
          "description": "The DHCP-assigned IPv4 address and prefix on the interface.",
          "type": "string"
        },
        "oper-gateway": {
          "description": "The operational IPv4 gateway on the interface.",
          "type": "string"
        },
        "oper-ip-address": {
          "description": "The operational IPv4 address and prefix on the interface.",
          "type": "string"
        },
        "user-gateway": {
          "description": "The user-configured primary IPv4 gateway on the interface.",
          "type": "string"
        },
        "user-ip-address": {
          "description": "The user-configured IPv4 address and prefix on the interface.",
          "type": "string"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4Wrapper": {
      "properties": {
        "ipv4": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.logicalinterface.properties.Ipv4"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id": {
      "type": "object",
      "properties": {
        "description": {
          "description": "Physical interface description, e.g. 'Management'.",
          "type": "string"
        },
        "ifindex": {
          "description": "The system-assigned interface index number, corresponding to the\n             ifIndex in SNMP IF-MIB. REF:RFC 2863 - The Interfaces Group MIB",
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "description": "The system-assigned name of the physical interface (e.g. DCN,\n             ILAN-1, ILAN-2). The names are predefined.",
          "type": "string"
        },
        "type": {
          "description": "Management port type. If the port is DCN, ILAN-1, or ILAN-2, the\n             port type will be 'ethernet'. If the port is Console, the port\n             type will be 'serial'. REF:RFC 2863 - The Interfaces Group MIB",
          "$ref": "#/definitions/ciena.waveserver.interfaces.TypeEnumeration"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.IdWrapper": {
      "properties": {
        "id": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Id"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties": {
      "type": "object",
      "properties": {
        "ethernet": {
          "description": "Ethernet interface attributes.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.EthernetIfPropertiesGroup"
        },
        "management": {
          "description": "Management interface attributes.",
          "$ref": "#/definitions/ciena.waveserver.interfaces.ManagementIfPropertiesGroup"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.PropertiesWrapper": {
      "properties": {
        "properties": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.Properties"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State": {
      "type": "object",
      "properties": {
        "admin-state": {
          "description": "Whether Admin State is enabled or disabled for this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.EnabledDisabledEnum"
        },
        "operational-state": {
          "description": "Operational state of this management interface.",
          "$ref": "#/definitions/ciena.waveserver.typedefs.UpDownEnum"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.StateWrapper": {
      "properties": {
        "state": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.physicalinterface.State"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute": {
      "type": "object",
      "properties": {
        "destination": {
          "description": "IPv4 route destination prefix for the static route. Only one static\n             routing entry per unique destination ip/prefix can be configured.",
          "type": "string"
        },
        "next-hop": {
          "description": "A list of next-hop entries associated with the static route.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop"
          }
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRouteWrapper": {
      "properties": {
        "ipv4-static-route": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.Ipv4StaticRoute"
        }
      }
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop": {
      "allOf": [
        {
          "$ref": "#/definitions/ciena.waveserver.interfaces.RouteNextHopGroup"
        },
        {
          "$ref": "#/definitions/cienaWaveserverInterfacesWaveserverinterfacesRoutesIpv4staticrouteNextHopAllOf1"
        }
      ]
    },
    "ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHopWrapper": {
      "properties": {
        "next-hop": {
          "$ref": "#/definitions/ciena.waveserver.interfaces.waveserverinterfaces.routes.ipv4staticroute.NextHop"
        }
      }
    },
    "ciena.waveserver.typedefs.EnabledDisabledEnum": {
      "type": "string",
      "enum": [
        "disabled",
        "enabled"
      ]
    },
    "ciena.waveserver.typedefs.UpDownEnum": {
      "type": "string",
      "enum": [
        "down",
        "up"
      ]
    },
    "cienaWaveserverInterfacesWaveserverinterfacesRoutesIpv4staticrouteNextHopAllOf1": {
      "description": "A list of next-hop entries associated with the static route.",
      "type": "object",
      "properties": {
        "index": {
          "description": "The index key of the entry in the next-hop list. Currently only\n               one static entry is supported per destination prefix, so the\n               index should always be 1.",
          "type": "integer",
          "format": "int64"
        },
        "ip-address": {
          "description": "IPv4 route next-hop or gateway address associated with the route. If\n               not specified, the default gateway value for the local management\n               interface will be used.",
          "type": "string"
        }
      },
      "x-go-gen-location": "models"
    }
  }
}`))
}
